CREATE TABLE ar_distribution_set_lines_all (
    DISTRIBUTION_SET_ID         NUMBER(18, 0)    NOT NULL,
    DISTRIBUTION_SET_LINE_ID    NUMBER(18, 0),
    DIST_CODE_COMBINATION_ID    NUMBER(18, 0)    NOT NULL,
    SET_OF_BOOKS_ID             NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    PERCENT_DISTRIBUTION        NUMBER       ,
    DESCRIPTION                 VARCHAR2(960),
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    DISTRIBUTION_SET_ID         NUMBER(18, 0)    NOT NULL,
    DISTRIBUTION_SET_LINE_ID    NUMBER(18, 0),
    DIST_CODE_COMBINATION_ID    NUMBER(18, 0)    NOT NULL,
    SET_OF_BOOKS_ID             NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    PERCENT_DISTRIBUTION        NUMBER       ,
    DESCRIPTION                 VARCHAR2(960),
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_distribution_set_lines_all PRIMARY KEY (DISTRIBUTION_SET_LINE_ID, DISTRIBUTION_SET_LINE_ID)
);
